
CoCoALib - Bug #693

Makefile_dependencies in src/tests/

07 May 2015 15:36 - John Abbott

Status: Closed Start date: 07 May 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 0.44 hour

Target version: CoCoALib-0.99560 Spent time: 0.40 hour

Description

The file src/tests/Makefile_dependencies seems to be suspiciously simple.  Either it is wrong or it is pointless.  Investigate!

History

#1 - 02 Feb 2016 14:10 - John Abbott

- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-1.0

#2 - 15 Dec 2017 17:21 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99560

- % Done changed from 0 to 100

- Estimated time set to 0.44 h

Strictly the tests could depend explicitly on just those header files actually included.  In practice this extra dependency info, does not seem to be

useful to anyone... if you change a CoCoALib header, the library should be recompiled, and all tests depend on libcocoa.a.

I think it is OK as it stands.  Closing.
